Index: /code/branches/cpp11_v2/src/libraries/core/input/InputDevice.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/InputDevice.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/input/InputDevice.h	(revision 10817)
@@ -153,5 +153,5 @@
 
         //! Captures OIS events (which then get distributed to the derived class) and creates the button held events
-        void update(const Clock& time)
+        void update(const Clock& time) override
         {
             oisDevice_->capture();
@@ -160,5 +160,5 @@
             for (unsigned int iB = 0; iB < pressedButtons_.size(); ++iB)
                 for (unsigned int iS = 0; iS < inputStates_.size(); ++iS)
-                    inputStates_[iS]->buttonEvent<ButtonEvent::THold, typename Traits::ButtonTypeParam>(
+                    inputStates_[iS]->template buttonEvent<ButtonEvent::THold, typename Traits::ButtonTypeParam>(
                         this->getDeviceID(), static_cast<DeviceClass*>(this)->getButtonEventArg(pressedButtons_[iB]));
 
@@ -171,5 +171,5 @@
 
         //! Clears the list of pressed buttons and calls the derived class's method
-        void clearBuffers()
+        void clearBuffers() override
         {
             pressedButtons_.clear();
@@ -180,5 +180,5 @@
         OISDeviceClass* getOISDevice()   { return this->oisDevice_; }
         // Returns the name of the derived class as string
-        std::string getClassName() const { return DeviceClass::getClassNameImpl(); }
+        std::string getClassName() const override { return DeviceClass::getClassNameImpl(); }
 
     protected:
@@ -197,5 +197,5 @@
             // Call states
             for (unsigned int i = 0; i < inputStates_.size(); ++i)
-                inputStates_[i]->buttonEvent<ButtonEvent::TPress, typename Traits::ButtonTypeParam>(this->getDeviceID(), static_cast<DeviceClass*>(this)->getButtonEventArg(button));
+                inputStates_[i]->template buttonEvent<ButtonEvent::TPress, typename Traits::ButtonTypeParam>(this->getDeviceID(), static_cast<DeviceClass*>(this)->getButtonEventArg(button));
         }
 
@@ -219,5 +219,5 @@
             // Call states
             for (unsigned int i = 0; i < inputStates_.size(); ++i)
-                inputStates_[i]->buttonEvent<ButtonEvent::TRelease, typename Traits::ButtonTypeParam>(this->getDeviceID(), static_cast<DeviceClass*>(this)->getButtonEventArg(button));
+                inputStates_[i]->template buttonEvent<ButtonEvent::TRelease, typename Traits::ButtonTypeParam>(this->getDeviceID(), static_cast<DeviceClass*>(this)->getButtonEventArg(button));
         }
 
Index: /code/branches/cpp11_v2/src/libraries/core/input/InputManager.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/InputManager.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/input/InputManager.h	(revision 10817)
@@ -208,5 +208,5 @@
 
         // From WindowEventListener
-        void windowFocusChanged(bool bFocus);
+        void windowFocusChanged(bool bFocus) override;
 
     private: // variables
Index: /code/branches/cpp11_v2/src/libraries/core/input/InputState.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/InputState.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/input/InputState.h	(revision 10817)
@@ -157,5 +157,5 @@
         ~InputState() { }
 
-        void JoyStickQuantityChanged(const std::vector<JoyStick*>& joyStickList);
+        void JoyStickQuantityChanged(const std::vector<JoyStick*>& joyStickList) override;
 
         //! Sets the priority (only to be used by the InputManager!)
Index: /code/branches/cpp11_v2/src/libraries/core/input/JoyStick.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/JoyStick.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/input/JoyStick.h	(revision 10817)
@@ -77,6 +77,6 @@
 
     private:
-        void calibrationStarted();
-        void calibrationStopped();
+        void calibrationStarted() override;
+        void calibrationStopped() override;
         void evaluateCalibration();
 
@@ -86,5 +86,5 @@
 
         //! OIS event handler
-        bool buttonPressed (const OIS::JoyStickEvent &arg, int button)
+        bool buttonPressed (const OIS::JoyStickEvent &arg, int button) override
         {
             super::buttonPressed(static_cast<JoyStickButtonCode::ByEnum>(button));
@@ -93,5 +93,5 @@
 
         //! OIS event handler
-        bool buttonReleased(const OIS::JoyStickEvent &arg, int button)
+        bool buttonReleased(const OIS::JoyStickEvent &arg, int button) override
         {
             super::buttonReleased(static_cast<JoyStickButtonCode::ByEnum>(button));
@@ -99,9 +99,9 @@
         }
 
-        bool axisMoved     (const OIS::JoyStickEvent &arg, int axis);
-        bool sliderMoved   (const OIS::JoyStickEvent &arg, int id);
-        bool povMoved      (const OIS::JoyStickEvent &arg, int id);
+        bool axisMoved     (const OIS::JoyStickEvent &arg, int axis) override;
+        bool sliderMoved   (const OIS::JoyStickEvent &arg, int id) override;
+        bool povMoved      (const OIS::JoyStickEvent &arg, int id) override;
         //! OIS event handler (don't remove that because of OIS version issues!)
-        bool vector3Moved  (const OIS::JoyStickEvent &arg, int id) { return true; }
+        bool vector3Moved  (const OIS::JoyStickEvent &arg, int id) override { return true; }
 
         //! Returns the class name as string
Index: /code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/input/KeyBinder.h	(revision 10817)
@@ -84,26 +84,26 @@
         void compilePointerLists();
         // from JoyStickQuantityListener interface
-        virtual void JoyStickQuantityChanged(const std::vector<JoyStick*>& joyStickList);
-
-        void allDevicesUpdated(float dt);
-        void mouseUpdated(float dt);
-        void joyStickUpdated(unsigned int joyStick, float dt);
+        virtual void JoyStickQuantityChanged(const std::vector<JoyStick*>& joyStickList) override;
+
+        void allDevicesUpdated(float dt) override;
+        void mouseUpdated(float dt) override;
+        void joyStickUpdated(unsigned int joyStick, float dt) override;
         // internal
         void tickHalfAxis(HalfAxis& halfAxis);
 
-        void buttonPressed (const KeyEvent& evt);
-        void buttonReleased(const KeyEvent& evt);
-        void buttonHeld    (const KeyEvent& evt);
-
-        void buttonPressed (MouseButtonCode::ByEnum button);
-        void buttonReleased(MouseButtonCode::ByEnum button);
-        void buttonHeld    (MouseButtonCode::ByEnum button);
-        void mouseMoved    (IntVector2 abs, IntVector2 rel, IntVector2 clippingSize);
-        void mouseScrolled (int abs, int rel);
-
-        void buttonPressed (unsigned int device, JoyStickButtonCode::ByEnum button);
-        void buttonReleased(unsigned int device, JoyStickButtonCode::ByEnum button);
-        void buttonHeld    (unsigned int device, JoyStickButtonCode::ByEnum button);
-        void axisMoved     (unsigned int device, unsigned int axis, float value);
+        void buttonPressed (const KeyEvent& evt) override;
+        void buttonReleased(const KeyEvent& evt) override;
+        void buttonHeld    (const KeyEvent& evt) override;
+
+        void buttonPressed (MouseButtonCode::ByEnum button) override;
+        void buttonReleased(MouseButtonCode::ByEnum button) override;
+        void buttonHeld    (MouseButtonCode::ByEnum button) override;
+        void mouseMoved    (IntVector2 abs, IntVector2 rel, IntVector2 clippingSize) override;
+        void mouseScrolled (int abs, int rel) override;
+
+        void buttonPressed (unsigned int device, JoyStickButtonCode::ByEnum button) override;
+        void buttonReleased(unsigned int device, JoyStickButtonCode::ByEnum button) override;
+        void buttonHeld    (unsigned int device, JoyStickButtonCode::ByEnum button) override;
+        void axisMoved     (unsigned int device, unsigned int axis, float value) override;
 
     protected: // variables
Index: /code/branches/cpp11_v2/src/libraries/core/input/KeyDetector.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/KeyDetector.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/input/KeyDetector.h	(revision 10817)
@@ -51,5 +51,5 @@
 
         void callback(const std::string& name);
-        void JoyStickQuantityChanged(const std::vector<JoyStick*>& joyStickList);
+        void JoyStickQuantityChanged(const std::vector<JoyStick*>& joyStickList) override;
         void assignCommands();
 
Index: /code/branches/cpp11_v2/src/libraries/core/input/Keyboard.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/Keyboard.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/input/Keyboard.h	(revision 10817)
@@ -75,6 +75,6 @@
         }
 
-        bool keyPressed(const OIS::KeyEvent& arg);
-        bool keyReleased(const OIS::KeyEvent& arg);
+        bool keyPressed(const OIS::KeyEvent& arg) override;
+        bool keyReleased(const OIS::KeyEvent& arg) override;
 
         //! Returns the class name as string
Index: /code/branches/cpp11_v2/src/libraries/core/input/Mouse.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/input/Mouse.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/input/Mouse.h	(revision 10817)
@@ -74,5 +74,5 @@
     private:
         //! OIS event handler
-        bool mousePressed(const OIS::MouseEvent &arg, OIS::MouseButtonID id)
+        bool mousePressed(const OIS::MouseEvent &arg, OIS::MouseButtonID id) override
         {
             super::buttonPressed(static_cast<MouseButtonCode::ByEnum>(id));
@@ -81,5 +81,5 @@
 
         //! OIS event handler
-        bool mouseReleased(const OIS::MouseEvent &arg, OIS::MouseButtonID id)
+        bool mouseReleased(const OIS::MouseEvent &arg, OIS::MouseButtonID id) override
         {
             super::buttonReleased(static_cast<MouseButtonCode::ByEnum>(id));
@@ -87,7 +87,7 @@
         }
 
-        bool mouseMoved(const OIS::MouseEvent &arg);
+        bool mouseMoved(const OIS::MouseEvent &arg) override;
 
-        void windowResized(unsigned int newWidth, unsigned int newHeight);
+        void windowResized(unsigned int newWidth, unsigned int newHeight) override;
 
         // Returns the class name as string
Index: /code/branches/cpp11_v2/src/libraries/core/module/StaticInitializationHandlerIncludes.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/module/StaticInitializationHandlerIncludes.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/module/StaticInitializationHandlerIncludes.h	(revision 10817)
@@ -53,6 +53,6 @@
             ~StaticallyInitializedStaticInitializationHandler() { delete handler_; }
 
-            virtual void load();
-            virtual void unload();
+            virtual void load() override;
+            virtual void unload() override;
 
             inline StaticInitializationHandler& getHandler()
Index: /code/branches/cpp11_v2/src/libraries/core/object/DestroyLaterManager.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/object/DestroyLaterManager.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/object/DestroyLaterManager.h	(revision 10817)
@@ -45,6 +45,6 @@
             virtual ~DestroyLaterManager();
 
-            virtual void preUpdate(const Clock& time) { /*no action*/ }
-            virtual void postUpdate(const Clock& time);
+            virtual void preUpdate(const Clock& time) override { /*no action*/ }
+            virtual void postUpdate(const Clock& time) override;
 
             void retain(Destroyable* instance)
Index: /code/branches/cpp11_v2/src/libraries/core/object/IteratorBase.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/object/IteratorBase.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/object/IteratorBase.h	(revision 10817)
@@ -175,5 +175,5 @@
                 @param object The object to compare with
             */
-            virtual void removedElement(ObjectListBaseElement* element)
+            virtual void removedElement(ObjectListBaseElement* element) override
             {
                 if (this->element_ == element)
Index: /code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/object/ObjectListBase.h	(revision 10817)
@@ -82,5 +82,5 @@
             ObjectListElement(T* object) : ObjectListBaseElement(static_cast<Listable*>(object)), object_(object) {}
 
-            virtual void changeContext(Context* oldContext, Context* newContext)
+            virtual void changeContext(Context* oldContext, Context* newContext) override
             {
                 // add object to new context, but only if this element belongs exactly to the old context (and not to a sub-context to avoid re-adding objects
Index: /code/branches/cpp11_v2/src/libraries/core/object/WeakPtr.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/object/WeakPtr.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/object/WeakPtr.h	(revision 10817)
@@ -230,5 +230,5 @@
         private:
             /// Will be called by Destroyable::~Destroyable() if the stored object is deleted. Resets the wrapped pointer and executes the callback.
-            inline void objectDeleted()
+            inline void objectDeleted() override
             {
                 this->base_ = nullptr;
Index: /code/branches/cpp11_v2/src/libraries/core/singleton/ScopedSingletonIncludes.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/singleton/ScopedSingletonIncludes.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/singleton/ScopedSingletonIncludes.h	(revision 10817)
@@ -87,6 +87,6 @@
             ~StaticallyInitializedScopedSingletonWrapper() { delete wrapper_; }
 
-            virtual void load();
-            virtual void unload();
+            virtual void load() override;
+            virtual void unload() override;
 
             inline ScopedSingletonWrapper& getWrapper()
Index: /code/branches/cpp11_v2/src/libraries/core/singleton/ScopedSingletonWrapper.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/core/singleton/ScopedSingletonWrapper.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/core/singleton/ScopedSingletonWrapper.h	(revision 10817)
@@ -102,5 +102,5 @@
 
         //! Called if the Scope of the Singleton gets active (creates the instance)
-        void activated()
+        void activated() override
         {
             assert(singletonPtr_ == nullptr);
@@ -109,5 +109,5 @@
 
         //! Called if the Scope of this Singleton gets deactivated (destroys the instance)
-        void deactivated()
+        void deactivated() override
         {
             assert(singletonPtr_ != nullptr);
@@ -157,5 +157,5 @@
 
         //! Called if the Scope of the Singleton gets active (creates the instance)
-        void activated()
+        void activated() override
         {
             assert(singletonPtr_ == nullptr);
@@ -169,5 +169,5 @@
 
         //! Called if the Scope of this Singleton gets deactivated (destroys the instance)
-        void deactivated()
+        void deactivated() override
         {
             if (singletonPtr_ != nullptr)
Index: /code/branches/cpp11_v2/src/libraries/network/Client.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/Client.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/network/Client.h	(revision 10817)
@@ -76,20 +76,20 @@
     static Client* getInstance(){ return singletonPtr_s; } // tolua_export
 
-    bool establishConnection();
+    bool establishConnection() override;
     void setDestination( const std::string& serverAddress, unsigned int port ); // tolua_export
-    bool closeConnection();
-    void queuePacket(ENetPacket* packet, int clientID, uint8_t channelID);
-    virtual bool sendPacket( packet::Packet* packet ){ return packet->send( static_cast<Host*>(this) ); }
-    virtual void doSendChat(const std::string& message, unsigned int sourceID, unsigned int targetID);
-    virtual void doReceiveChat(const std::string& message, unsigned int sourceID, unsigned int targetID);
-    virtual void printRTT();
+    bool closeConnection() override;
+    void queuePacket(ENetPacket* packet, int clientID, uint8_t channelID) override;
+    virtual bool sendPacket( packet::Packet* packet ) override{ return packet->send( static_cast<Host*>(this) ); }
+    virtual void doSendChat(const std::string& message, unsigned int sourceID, unsigned int targetID) override;
+    virtual void doReceiveChat(const std::string& message, unsigned int sourceID, unsigned int targetID) override;
+    virtual void printRTT() override;
 
     void update(const Clock& time);
   protected:
-    virtual void connectionClosed();
+    virtual void connectionClosed() override;
   private:
     Client(const Client& copy); // not used
-    virtual bool isServer_(){return false;}
-    void processPacket(packet::Packet* packet);
+    virtual bool isServer_() override{return false;}
+    void processPacket(packet::Packet* packet) override;
 
     static Client* singletonPtr_s;
Index: /code/branches/cpp11_v2/src/libraries/network/ClientConnection.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/ClientConnection.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/network/ClientConnection.h	(revision 10817)
@@ -57,6 +57,6 @@
     uint32_t getRTT();
   private:
-    virtual void addPeer(uint32_t peerID);
-    virtual void removePeer(uint32_t peerID);
+    virtual void addPeer(uint32_t peerID) override;
+    virtual void removePeer(uint32_t peerID) override;
 
     bool disconnectConnection();
Index: /code/branches/cpp11_v2/src/libraries/network/GamestateManager.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/GamestateManager.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/network/GamestateManager.h	(revision 10817)
@@ -83,8 +83,8 @@
     ~GamestateManager();
 
-    virtual bool      addGamestate(packet::Gamestate *gs, unsigned int peerID);
-    virtual bool      ackGamestate(unsigned int gamestateID, unsigned int peerID);
-    virtual uint32_t  getLastReceivedGamestateID( unsigned int peerID );
-    virtual uint32_t  getCurrentGamestateID(){ if( currentGamestate_) return currentGamestate_->getID(); else return GAMESTATEID_INITIAL; }
+    virtual bool      addGamestate(packet::Gamestate *gs, unsigned int peerID) override;
+    virtual bool      ackGamestate(unsigned int gamestateID, unsigned int peerID) override;
+    virtual uint32_t  getLastReceivedGamestateID( unsigned int peerID ) override;
+    virtual uint32_t  getCurrentGamestateID() override{ if( currentGamestate_) return currentGamestate_->getID(); else return GAMESTATEID_INITIAL; }
 
     bool processGamestates();
Index: /code/branches/cpp11_v2/src/libraries/network/LANDiscoverable.cc
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/LANDiscoverable.cc	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/network/LANDiscoverable.cc	(revision 10817)
@@ -109,5 +109,5 @@
       {
         case ENET_EVENT_TYPE_CONNECT:
-            orxout(verbose, context::network) << "Received LAN discovery connect from client " << event.peer->host->receivedAddress << endl;
+            //orxout(verbose, context::network) << "Received LAN discovery connect from client " << event.peer->host->receivedAddress << endl;
             break;
         case ENET_EVENT_TYPE_DISCONNECT:
@@ -117,5 +117,5 @@
           if( strcmp( LAN_DISCOVERY_MESSAGE, (char*)event.packet->data ) == 0 )      // check for a suitable orxonox client
           {
-            orxout(internal_info, context::network) << "Received LAN discovery message from client " << event.peer->host->receivedAddress << endl;
+            //orxout(internal_info, context::network) << "Received LAN discovery message from client " << event.peer->host->receivedAddress << endl;
             packet::ServerInformation info;
             info.setServerName(this->ownName);
Index: /code/branches/cpp11_v2/src/libraries/network/NetworkFunction.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/NetworkFunction.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/network/NetworkFunction.h	(revision 10817)
@@ -114,10 +114,10 @@
 
     // ignore the objectID because its a static function
-    virtual bool call(uint32_t objectID){ (*this->functor_)(); return true; }
-    virtual bool call(uint32_t objectID, const MultiType& mt1){ (*this->functor_)(mt1); return true; }
-    virtual bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2){ (*this->functor_)(mt1, mt2); return true; }
-    virtual bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3){ (*this->functor_)(mt1, mt2, mt3); return true; }
-    virtual bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4){ (*this->functor_)(mt1, mt2, mt3, mt4); return true; }
-    virtual bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4, const MultiType& mt5){ (*this->functor_)(mt1, mt2, mt3, mt4, mt5); return true; }
+    virtual bool call(uint32_t objectID) override{ (*this->functor_)(); return true; }
+    virtual bool call(uint32_t objectID, const MultiType& mt1) override{ (*this->functor_)(mt1); return true; }
+    virtual bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2) override{ (*this->functor_)(mt1, mt2); return true; }
+    virtual bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3) override{ (*this->functor_)(mt1, mt2, mt3); return true; }
+    virtual bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4) override{ (*this->functor_)(mt1, mt2, mt3, mt4); return true; }
+    virtual bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4, const MultiType& mt5) override{ (*this->functor_)(mt1, mt2, mt3, mt4, mt5); return true; }
 
   private:
@@ -142,5 +142,5 @@
     { }
 
-    inline bool call(uint32_t objectID)
+    inline bool call(uint32_t objectID) override
     {
       if ( Synchronisable::getSynchronisable(objectID)!=nullptr )
@@ -152,5 +152,5 @@
         return false;
     }
-    inline bool call(uint32_t objectID, const MultiType& mt1)
+    inline bool call(uint32_t objectID, const MultiType& mt1) override
     {
       if ( Synchronisable::getSynchronisable(objectID)!=nullptr )
@@ -162,5 +162,5 @@
         return false;
     }
-    inline bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2)
+    inline bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2) override
     {
       if ( Synchronisable::getSynchronisable(objectID)!=nullptr )
@@ -172,5 +172,5 @@
         return false;
     }
-    inline bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3)
+    inline bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3) override
     {
       if ( Synchronisable::getSynchronisable(objectID)!=nullptr )
@@ -182,5 +182,5 @@
         return false;
     }
-    inline bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4)
+    inline bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4) override
     {
       if ( Synchronisable::getSynchronisable(objectID)!=nullptr )
@@ -192,5 +192,5 @@
         return false;
     }
-    inline bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4, const MultiType& mt5)
+    inline bool call(uint32_t objectID, const MultiType& mt1, const MultiType& mt2, const MultiType& mt3, const MultiType& mt4, const MultiType& mt5) override
     {
       if ( Synchronisable::getSynchronisable(objectID)!=nullptr )
Index: /code/branches/cpp11_v2/src/libraries/network/NetworkFunctionIncludes.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/NetworkFunctionIncludes.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/network/NetworkFunctionIncludes.h	(revision 10817)
@@ -56,6 +56,6 @@
             ~StaticallyInitializedNetworkFunction() { delete function_; }
 
-            virtual void load();
-            virtual void unload();
+            virtual void load() override;
+            virtual void unload() override;
 
             inline NetworkFunctionBase& getFunction()
Index: /code/branches/cpp11_v2/src/libraries/network/NetworkStaticInitializationHandler.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/NetworkStaticInitializationHandler.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/network/NetworkStaticInitializationHandler.h	(revision 10817)
@@ -39,9 +39,9 @@
     {
         public:
-            virtual void setupHandler();
-            virtual void shutdownHandler();
+            virtual void setupHandler() override;
+            virtual void shutdownHandler() override;
 
-            virtual void loadModule(ModuleInstance* module);
-            virtual void unloadModule(ModuleInstance* module);
+            virtual void loadModule(ModuleInstance* module) override;
+            virtual void unloadModule(ModuleInstance* module) override;
     };
 }
Index: /code/branches/cpp11_v2/src/libraries/network/Server.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/Server.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/network/Server.h	(revision 10817)
@@ -61,9 +61,9 @@
     void open();
     void close();
-    void queuePacket(ENetPacket *packet, int clientID, uint8_t channelID);
-    virtual bool sendPacket( packet::Packet* packet ){ return packet->send( static_cast<Host*>(this) ); }
+    void queuePacket(ENetPacket *packet, int clientID, uint8_t channelID) override;
+    virtual bool sendPacket( packet::Packet* packet ) override{ return packet->send( static_cast<Host*>(this) ); }
     void update(const Clock& time);
     unsigned int getRTT(unsigned int clientID);
-    virtual void printRTT();
+    virtual void printRTT() override;
     float getPacketLoss(unsigned int clientID);
     int getClientCount() { return this->clientIDs_.size();}
@@ -73,10 +73,10 @@
     void updateGamestate();
   private:
-    virtual bool isServer_(){return true;}
+    virtual bool isServer_() override{return true;}
     unsigned int playerID(){return 0;}
 
-    void addPeer(uint32_t peerID);
-    void removePeer(uint32_t peerID);
-    void processPacket(packet::Packet* packet);
+    void addPeer(uint32_t peerID) override;
+    void removePeer(uint32_t peerID) override;
+    void processPacket(packet::Packet* packet) override;
 
     bool createClient(int clientID);
@@ -85,6 +85,6 @@
     bool sendObjectDeletes();
     bool isValidTarget(unsigned int targetID);
-    virtual void doSendChat(const std::string& message, unsigned int sourceID, unsigned int targetID);
-    virtual void doReceiveChat(const std::string& message, unsigned int sourceID, unsigned int targetID);
+    virtual void doSendChat(const std::string& message, unsigned int sourceID, unsigned int targetID) override;
+    virtual void doReceiveChat(const std::string& message, unsigned int sourceID, unsigned int targetID) override;
     void syncClassid(unsigned int clientID);
 
Index: /code/branches/cpp11_v2/src/libraries/network/TrafficControl.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/TrafficControl.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/network/TrafficControl.h	(revision 10817)
@@ -109,6 +109,6 @@
 
     //ClientConnectionListener functions
-    virtual void clientConnected(unsigned int clientID){};
-    virtual void clientDisconnected(unsigned int clientID);
+    virtual void clientConnected(unsigned int clientID) override{};
+    virtual void clientDisconnected(unsigned int clientID) override;
 
 
Index: /code/branches/cpp11_v2/src/libraries/network/packet/Acknowledgement.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/packet/Acknowledgement.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/network/packet/Acknowledgement.h	(revision 10817)
@@ -46,6 +46,6 @@
   ~Acknowledgement();
 
-  inline unsigned int getSize() const;
-  virtual bool process(orxonox::Host* host);
+  inline unsigned int getSize() const override;
+  virtual bool process(orxonox::Host* host) override;
 
   unsigned int getAckID();
Index: /code/branches/cpp11_v2/src/libraries/network/packet/Chat.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/packet/Chat.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/network/packet/Chat.h	(revision 10817)
@@ -49,8 +49,8 @@
 
   /* get size of packet */
-  inline unsigned int getSize() const;
+  inline unsigned int getSize() const override;
 
   /* process chat message packet and remove it afterwards */
-  virtual bool process(orxonox::Host* host);
+  virtual bool process(orxonox::Host* host) override;
 
   /* Get the length of the message (not the full size of the packet) */
Index: /code/branches/cpp11_v2/src/libraries/network/packet/ClassID.h
===================================================================
--- /code/branches/cpp11_v2/src/libraries/network/packet/ClassID.h	(revision 10816)
+++ /code/branches/cpp11_v2/src/libraries/network/packet/ClassID.h	(revision 10817)
@@ -47,6 +47,6 @@
   ~ClassID();
 
-  uint32_t getSize() const;
-  virtual bool process(orxonox::Host* host);
+  uint32_t getSize() const override;
+  virtual bool process(orxonox::Host* host) override;
 
 private:
